.diff-file.file-holder{id: "diff-#{i}", data: diff_file_html_data(project, diff_file)}
  .file-title{id: "file-path-#{hexdigest(diff_file.file_path)}"}
    = render "projects/diffs/file_header", diff_file: diff_file, blob: blob, diff_commit: diff_commit, project: project, url: "#diff-#{i}"

    - unless diff_file.submodule?
      .file-actions.hidden-xs
        - if blob_text_viewable?(blob)
          = link_to '#', class: 'js-toggle-diff-comments btn active has-tooltip btn-file-option', title: "Toggle comments for this file" do
            = icon('comment')
          \

          - if editable_diff?(diff_file)
            = edit_blob_link(@merge_request.source_project,
                @merge_request.source_branch, diff_file.new_path,
                from_merge_request_id: @merge_request.id,
                skip_visible_check: true)

        = view_file_btn(diff_commit.id, diff_file.new_path, project)

  = render 'projects/diffs/content', diff_file: diff_file, diff_commit: diff_commit, blob: blob, project: project
